summaryrefslogtreecommitdiffstats
path: root/src/VBox/HostDrivers/darwin/loadall.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/VBox/HostDrivers/darwin/loadall.sh')
-rwxr-xr-xsrc/VBox/HostDrivers/darwin/loadall.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/src/VBox/HostDrivers/darwin/loadall.sh b/src/VBox/HostDrivers/darwin/loadall.sh
new file mode 100755
index 00000000..3333afd7
--- /dev/null
+++ b/src/VBox/HostDrivers/darwin/loadall.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+## @file
+# For development, loads all the host drivers.
+#
+
+#
+# Copyright (C) 2010-2023 Oracle and/or its affiliates.
+#
+# This file is part of VirtualBox base platform packages, as
+# available from https://www.virtualbox.org.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation, in version 3 of the
+# License.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, see <https://www.gnu.org/licenses>.
+#
+# The contents of this file may alternatively be used under the terms
+# of the Common Development and Distribution License Version 1.0
+# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
+# in the VirtualBox distribution, in which case the provisions of the
+# CDDL are applicable instead of those of the GPL.
+#
+# You may elect to license modified versions of this file under the
+# terms and conditions of either the GPL or the CDDL or both.
+#
+# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
+#
+
+MY_DIR=`dirname "$0"`
+MY_DIR=`cd "${MY_DIR}" && pwd`
+if [ ! -d "${MY_DIR}" ]; then
+ echo "Cannot find ${MY_DIR} or it's not a directory..."
+ exit 1;
+fi
+
+set -e
+"${MY_DIR}/load.sh" "$*"
+"${MY_DIR}/loadnetflt.sh" "$*"
+"${MY_DIR}/loadnetadp.sh" "$*"
+